terraform {
  required_providers {
    gitlab = {
      source  = "registry.terraform.io/gitlabhq/gitlab"
      version = "15.11.0"
    }
    vault = {
      source  = "hashicorp/vault"
      version = "3.15.2"
    }
  }
}

provider "vault" {
  address   = var.vault_addr
  namespace = var.vault_namespace
}

provider "gitlab" {
  base_url = "https://${var.gitlab_domain}/api/v4/"
}
