variable "namespace" {
  type = string
}

variable "vault_id_token" {
  type = string
}

variable "gitlab_domain" {
  type = string
}

variable "vault_jwt_auth_backend_path" {
  type = string
}

variable "gitlab_project_id" {
  type = string
}

variable "gitlab_branch" {
  type = string
}

variable "vault_addr" {
  type = string
}

variable "vault_namespace" {
  type = string
}

variable "vault_transit_secret_backend_path" {
  type = string
}

variable "vault_aws_secret_backend_paths" {
  type = list(string)
}

variable "aws_region" {
  type = string
}

variable "aws_namespace" {
  type = string
}

variable "aws_iam_user_vault_arn" {
  type = string
}

variable "environment_name" {
  type = string
}

variable "resource_group" {
  type = string
}

variable "n" {
  type    = number
  default = 0
}

variable "extra" {
  type    = string
  default = ""
}

variable "tags" {
  type    = map(string)
  default = {}
}
